﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Windows.Media.Imaging;
using System.Collections.ObjectModel;

namespace TabControlHeadTemplate
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.tabControl.ItemsSource = new ObservableCollection<TabItemViewModel>();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {               
            TabItemViewModel viewModel= new TabItemViewModel()
            {
                ID = DateTime.Now.ToString(),
                ImgSource = new BitmapImage(new Uri("Image/OK.png", UriKind.RelativeOrAbsolute)),
                Content = new Rectangle(){Width=100, Height=100, Fill = new SolidColorBrush(){Color=Colors.Cyan}}
            };
            (this.tabControl.ItemsSource as ObservableCollection<TabItemViewModel>).Add(viewModel);
        }
    }
}
